name: jellyfin
services:
  jellyfin:
    devices:
      - /dev/dri:/dev/dri
      - /dev/vcsm:/dev/vcsm
      - /dev/vchiq:/dev/vchiq
      - /dev/video10:/dev/video10
      - /dev/video11:/dev/video11
      - /dev/video12:/dev/video12
    environment:
      PGID: $PGID
      PUID: $PUID
      TZ: $TZ
    image: linuxserver/jellyfin:10.8.12
    deploy:
      resources:
        reservations:
          memory: "256M"
    network_mode: bridge
    ports:
      - target: 8096
        published: "8097"
        protocol: tcp
      - target: 8920
        published: "8921"
        protocol: tcp
      - target: 7359
        published: "7359"
        protocol: tcp
      - target: 1900
        published: "1901"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/config
        target: /config
      - type: bind
        source: /DATA/Media
        target: /Media
      - type: bind
        source: /opt/vc/lib
        target: /opt/vc/lib
    x-casaos:
      envs:
        - container: TZ
          description:
            en_us: TimeZone
            zh_cn: 时区
        - container: PUID
          description:
            en_us: Run Jellyfin as specified uid.
            zh_cn: Jellyfin运行的用户ID
        - container: PGID
          description:
            en_us: Run Jellyfin as specified gid.
            zh_cn: Jellyfin运行的用户组ID
        - container: JELLYFIN_PublishedServerUrl
          description:
            en_us: The autodiscovery response domain or IP address.
            zh_cn: 自动发现响应域名或IP地址
      ports:
        - container: "8096"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP端口

        - container: "8920"
          description:
            en_us: WebUI HTTPS Port
            zh_cn: WebUI HTTPS端口

        - container: "7359"
          description:
            en_us: Jellyfin auto-discovery Port
            zh_cn: Jellyfin自动发现端口

        - container: "1900"
          description:
            en_us: Jellyfin DLNA Port
            zh_cn: Jellyfin DLNA端口

      volumes:
        - container: /config
          description:
            en_us: Jellyfin config directory.
            zh_cn: Jellyfin配置目录
        - container: /Media
          description:
            en_us: Jellyfin Media directory.
            zh_cn: Jellyfin媒体目录
        - container: /opt/vc/lib
          description:
            en_us: OpenMax libs
            zh_cn: OpenMax库
    container_name: jellyfin
x-casaos:
  architectures:
    - amd64
    - arm64
  main: jellyfin
  author: CasaOS Team
  category: Media
  description:
    en_us: Jellyfin enables you to collect, manage, and stream your media. Run the Jellyfin server on your system and gain access to the leading free-software entertainment system, bells and whistles included.
    zh_cn: Jellyfin让您可以收集、管理和流媒体。在您的系统上运行Jellyfin服务器，即可获得免费软件娱乐系统的领先功能，包括铃声和装饰。
    ar_sa: يتيح لك Jellyfin جمع وإدارة وتدفق وسائطك. قم بتشغيل خادم Jellyfin على نظامك واحصل على النظام الرائد للترفيه المجاني ، مع الأجهزة الصوتية والمزايا المتضمنة.
    de_de: Jellyfin ermöglicht es Ihnen, Ihre Medien zu sammeln, zu verwalten und zu streamen. Führen Sie den Jellyfin-Server auf Ihrem System aus und erhalten Sie Zugriff auf das führende kostenlose Softwareunterhaltungssystem, inklusive Klingelton und Dekoration.
    es_es: Jellyfin le permite recopilar, administrar y transmitir sus medios. Ejecute el servidor Jellyfin en su sistema y obtenga acceso al sistema de entretenimiento de software libre líder, con timbres y adornos incluidos.
    fr_fr: Jellyfin vous permet de collecter, de gérer et de diffuser vos médias. Exécutez le serveur Jellyfin sur votre système et accédez au système de divertissement logiciel libre de pointe, avec des sonneries et des décorations incluses.
    hu_hu: A Jellyfin lehetővé teszi, hogy gyűjtsön, kezeljen és adja tovább a médiaanyagait. Futtassa a Jellyfin szerverét a rendszerén, és hozzáférhet a vezető ingyenes szoftveres szórakoztató rendszerhez, csengőhangokkal és díszítésekkel.
    it_it: Jellyfin consente di raccogliere, gestire e trasmettere i tuoi media. Esegui il server Jellyfin sul tuo sistema e accedi al sistema di intrattenimento software libero leader, con suoni e decorazioni incluse.
    ru_ru: Jellyfin позволяет собирать, управлять и транслировать свою медиаинформацию. Запустите сервер Jellyfin на своей системе и получите доступ к лидирующей системе развлечений с открытым исходным кодом, включая звонки и украшения.
    pl_pl: Jellyfin pozwala zbierać, zarządzać i przesyłać swoją multimedialną zawartość. Uruchom serwer Jellyfin na swoim systemie i uzyskaj dostęp do liderującego systemu rozrywki z otwartym oprogramowaniem, w tym dzwonków i ozdób.
    pt_br: O Jellyfin permite que você colete, gerencie e transmita seus meios de comunicação. Execute o servidor Jellyfin em seu sistema e obtenha acesso ao sistema de entretenimento de software livre líder, com toques e decorações incluídos.
    sv_se: Jellyfin gör det möjligt att samla in, hantera och strömma dina medier. Kör Jellyfin-servern på ditt system och få tillgång till ledande underhållningssystem med fri mjukvara, med klockor och dekorationer inkluderade.
    uk_ua: Jellyfin дозволяє збирати, керувати та транслювати вашу медіаінформацію. Запустіть сервер Jellyfin на своєму системі та отримайте доступ до лідерської системи розваг з відкритим програмним забезпеченням, включаючи дзвінки та оздоблення.
  developer: Jellyfin
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Jellyfin/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Jellyfin/screenshot-1.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Jellyfin/screenshot-2.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Jellyfin/screenshot-3.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Jellyfin/screenshot-4.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Jellyfin/screenshot-5.jpg
  tagline:
    en_us: Puts you in control of your media.
    zh_cn: 让您控制媒体。
    ar_sa: يضعك تحت سيطرتك على وسائطك.
    de_de: Stellt Sie in den Mittelpunkt Ihrer Medien.
    es_es: Le pone en control de sus medios.
    fr_fr: Vous met en contrôle de vos médias.
    hu_hu: Ön a média sajátos kezelésében van.
    it_it: Mette in tuo controllo i tuoi media.
    ru_ru: Помогает вам контролировать свою медиаинформацию.
    pl_pl: Umieszcza Cię w centrum swojej multimedialnej zawartości.
    pt_br: Coloca você no controle de seus meios de comunicação.
    sv_se: Lägger dig i centrum av dina medier.
    uk_ua: Помагає вам контролювати вашу медіаінформацію.
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Jellyfin/thumbnail.png
  tips: {}
  title:
    en_us: Jellyfin
  index: /
  port_map: "8097"
